Skip to main content
POST
/
api
/
klines
/
backfill
cURL
curl --request POST \
  --url https://api.production.hyperoru.com/api/klines/backfill \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "exchange": "<string>",
  "symbol": "<string>",
  "end": "<string>",
  "environment": "<string>",
  "period": "<string>",
  "start": "<string>"
}
'
{
  "environment": "<string>",
  "exchange": "<string>",
  "id": 123,
  "status": "<string>",
  "finished_at": "<string>",
  "period": "<string>",
  "rows_written": 123,
  "started_at": "<string>",
  "symbol": "<string>"
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Body

application/json

Create backfill request.

exchange
string
required
symbol
string
required
end
string | null
environment
string | null
period
string | null
start
string | null

Response

Backfill task created

Backfill task descriptor.

environment
string
required
exchange
string
required
id
integer<int32>
required
status
string
required
finished_at
string | null
period
string | null
rows_written
integer<int64> | null
started_at
string | null
symbol
string | null